{ config, lib, pkgs, ... }:

{
  # Enable CUPS
  services.printing = {
    enable = true;
    drivers = with pkgs; [ brgenml1cupswrapper ];
  };

  # Enable SANE
  hardware.sane = {
    enable = true;
    brscan4 = {
      enable = true;
      netDevices = {
        home = {
          model = "DCP-L2530DW";
          ip = "192.168.13.4";
        };
      };
    };
  };
}
